Get the logs buffer in memory as array

- « SeasLog::getBasePath

- SeasLog::getBufferEnabled »

- PHP Manual
- SeasLog
- Get the logs buffer in memory as array

# SeasLog::getBuffer

(PECL seaslog >=1.0.0)

SeasLog::getBuffer — Get the logs buffer in memory as array

### Description

public static SeasLog::getBuffer(): array

### Parameters

This function has no parameters.

### Return Values

Return an array from logs buffer in memory.

### Examples

Example #1 SeasLog::getBuffer() example

    <?phpvar_dump(SeasLog::info('info log'));var_dump(SeasLog::debug('debug log'));var_dump(SeasLog::getBuffer());?>

The above example will output something similar to:

    bool(true)
    bool(true)
    array(1) {
      ["/var/log/www/default/20180707.log"]=>
      array(2) {
        [0]=>
        string(79) "2018-07-07 10:43:32 | INFO | 71785 | 5b4028d4c58d5 | 1530931412.810 | info log
    "
        [1]=>
        string(81) "2018-07-07 10:43:32 | DEBUG | 71785 | 5b4028d4c58d5 | 1530931412.810 | debug log
    "
      }
    }

### See Also

- seaslog.use_buffer
- seaslog.buffer_size
- seaslog.buffer_disabled_in_cli
- SeasLog::getBufferEnabled() - Determin if buffer enabled
- SeasLog::flushBuffer() - Flush logs buffer, dump to appender file, or send to remote api with tcp/udp